function objetoAjax()
    { 
    
    var xmlHttp;
        try
        { // Firefox, Opera 8.0+, Safari 
        xmlHttp=new XMLHttpRequest(); 
        }
    catch (e)
        {      // Internet Explorer 
        try
            {     
            xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");     
            }
        catch (e)
            {     
            try
                {      
                xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");      
                }
            catch (e)
                {      
                alert("Your browser does not support AJAX!");      
                return false;      
                }     
            } 
        }
    return xmlHttp;
}


function mostrarlista(){

 divResultado = document.getElementById('listado');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listado.php?ale="+aleatorio,false);
 
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status == 200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listadomp3(){

 divResultado = document.getElementById('listado2');
 divResultado.innerHTML= '<img src="anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listado2.php?ale="+aleatorio,false);
 
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status == 200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}